Rapid7 Vulnerability & Exploit Database

USN-2569-2: Apport vulnerability

Back to Search

USN-2569-2: Apport vulnerability

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
04/16/2015
Created
07/25/2018
Added
04/20/2015
Modified
07/09/2020

Description

USN-2569-1 fixed a vulnerability in Apport. Tavis Ormandy discovered thatthe fixed packages were still vulnerable to a privilege escalation attack.This update completely disables crash report handling for containers untila more complete solution is available. Original advisory details: Stéphane Graber and Tavis Ormandy independently discovered that Apport incorrectly handled the crash reporting feature. A local attacker could use this issue to gain elevated privileges. The problem can be corrected by updating your system to the following package version: To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades. In general, a standard system update will make all the necessary changes. LP: 1444518

Solution(s)

  • ubuntu-upgrade-apport

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;